---
title: mongodb
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.mongodb) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.mongodb?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.mongodb) [![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg)](https://gitea.rknet.org/ansible/xoxys.mongodb/src/branch/main/LICENSE)

Setup a [mongoDB](https://www.mongodb.com/) database. MongoDB is a general purpose, document-based, distributed database built for modern application developers and for the cloud era.

<!--more-->

- [Default Variables](#default-variables)
  - [mongodb_net_bindip](#mongodb_net_bindip)
  - [mongodb_net_http_enabled](#mongodb_net_http_enabled)
  - [mongodb_net_ipv6_enabled](#mongodb_net_ipv6_enabled)
  - [mongodb_net_maxconns](#mongodb_net_maxconns)
  - [mongodb_net_port](#mongodb_net_port)
  - [mongodb_packages](#mongodb_packages)
  - [mongodb_packages_extra](#mongodb_packages_extra)
  - [mongodb_processmanagement_fork_enabled](#mongodb_processmanagement_fork_enabled)
  - [mongodb_rbac_enabled](#mongodb_rbac_enabled)
  - [mongodb_storage_dbpath](#mongodb_storage_dbpath)
  - [mongodb_storage_journal_enabled](#mongodb_storage_journal_enabled)
  - [mongodb_system_group](#mongodb_system_group)
  - [mongodb_system_user](#mongodb_system_user)
  - [mongodb_systemlog_destination](#mongodb_systemlog_destination)
  - [mongodb_systemlog_logappend](#mongodb_systemlog_logappend)
  - [mongodb_systemlog_path](#mongodb_systemlog_path)
  - [mongodb_user_admin_name](#mongodb_user_admin_name)
  - [mongodb_user_admin_password](#mongodb_user_admin_password)
  - [mongodb_version](#mongodb_version)
- [Dependencies](#dependencies)

---

## Default Variables

### mongodb_net_bindip

#### Default value

```YAML
mongodb_net_bindip:
  - 127.0.0.1
```

### mongodb_net_http_enabled

#### Default value

```YAML
mongodb_net_http_enabled: false
```

### mongodb_net_ipv6_enabled

#### Default value

```YAML
mongodb_net_ipv6_enabled: false
```

### mongodb_net_maxconns

#### Default value

```YAML
mongodb_net_maxconns: 51200
```

### mongodb_net_port

#### Default value

```YAML
mongodb_net_port: 27017
```

### mongodb_packages

#### Default value

```YAML
mongodb_packages:
  - mongodb-org
```

### mongodb_packages_extra

#### Default value

```YAML
mongodb_packages_extra: []
```

### mongodb_processmanagement_fork_enabled

#### Default value

```YAML
mongodb_processmanagement_fork_enabled: true
```

### mongodb_rbac_enabled

#### Default value

```YAML
mongodb_rbac_enabled: false
```

### mongodb_storage_dbpath

#### Default value

```YAML
mongodb_storage_dbpath: /var/lib/mongo
```

### mongodb_storage_journal_enabled

#### Default value

```YAML
mongodb_storage_journal_enabled: true
```

### mongodb_system_group

#### Default value

```YAML
mongodb_system_group: mongod
```

### mongodb_system_user

#### Default value

```YAML
mongodb_system_user: mongod
```

### mongodb_systemlog_destination

#### Default value

```YAML
mongodb_systemlog_destination: file
```

### mongodb_systemlog_logappend

#### Default value

```YAML
mongodb_systemlog_logappend: true
```

### mongodb_systemlog_path

#### Default value

```YAML
mongodb_systemlog_path: /var/log/mongodb/mongod.log
```

### mongodb_user_admin_name

#### Default value

```YAML
mongodb_user_admin_name: mongoadm
```

### mongodb_user_admin_password

#### Default value

```YAML
mongodb_user_admin_password: secure
```

### mongodb_version

#### Default value

```YAML
mongodb_version: 3.6
```



## Dependencies

None.
